package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CircuitMapper {
    List<CircuitResultVo> getAll(String companyName);

    List<ResultCircuitVo> getByTerm(CircuitTermVo circuitTermVo);

    int addCircuit(Map<Object,Object> map);

    int add(Map<Object,Object> map);

    int endCircuit(Map<Object,Object> map);

    int updateCircuit(Map<Object,Object> map);

    int updateEndTime(UpdateCircuitVo updateCircuitVo);

    int updateStartTime(Map<Object,Object> map);

    int delCircuit(String transportationNo);

    int deleteCircuit(Map<Object,Object> map);

    ResultCircuitVo getByTransportationNo(@Param("transportationNo") String transportationNo,@Param("companyName") String companyName);

    Integer getOnRoute(@Param("companyName") String companyName);

    Integer getDelayCount(@Param("compTime") Long compTime, @Param("time") String time,@Param("companyName") String companyName);

    Integer getDelay(@Param("compTime")Long compTime,@Param("companyName") String companyName);


    Integer getCount(@Param("time") String time,@Param("endTime") Long endTime,@Param("companyName") String companyName);

    List<AppCircuitVo> getByPlateNo(@Param("plateNo") String plateNo,@Param("companyName") String companyName);

    ResultCircuitForAppVo getByTransportationNoForApp(@Param("transportationNo") String transportationNo,@Param("companyName") String companyName);

    ResultCircuitVo  getCircuit(String transportationNo);

    List<AppCircuitVo> getByCircuitState(@Param("circuitState") Integer circuitState,@Param("companyName") String companyName);

    int updateEvaluate(UpdateEvaluateVo updateEvaluateVo);

    Integer getNo(String transportationNo);

    ResultGatewayVo getByNo(String transportationNo);

    List<ResultCircuitVo> getByTime(String companyName);

    CircuitMessage getMessage(String transportationNo);
}
