package com.example.tdl.service;

import com.example.tdl.domain.vo.*;
import com.example.tdl.entity.AlarmLog;
import com.example.tdl.mapper.AlarmLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AlarmLogService {

    @Autowired
    private AlarmLogMapper alarmLogMapper;

    public List<ResultAlarmLog> getAll(){
        return alarmLogMapper.getAll();
    }

    public List<AlarmLogVo> getAlarmLog(String time,String companyName){
        return  alarmLogMapper.getAlarmLog(time,companyName);
    }

    public int addAlarmLog(AlarmLog addAlarmLogVo){
        return alarmLogMapper.addAlarmLog(addAlarmLogVo);
    }

    public List<ResultAlarmLog> getByTransportationNo(String  transportationNo){
        return  alarmLogMapper.getByTransportationNo(transportationNo);
    }

    public Integer getCount(String time,String companyName){
        return alarmLogMapper.getCount(time,companyName);
    }

    public Integer getBumpCount(String time,String companyName){
        return alarmLogMapper.getBumpCount(time,companyName);
    }

    public Integer getAlarmCount(String companyName){
        return alarmLogMapper.getAlarmCount(companyName);
    }

    public List<HistogramData> getByCount(String time,String companyName){
         return alarmLogMapper.getByCount(time,companyName);
    }


    public Integer getByTime(String transportationNo,Long startTime,Long endTime){
            return alarmLogMapper.getByTime(transportationNo,startTime,endTime);
    }

    public List<ResultAlarmLogVo> getAlarm(AlarmTermVo alarmTermVo){
        return  alarmLogMapper.getAlarm(alarmTermVo);
    }

    public List<AlarmLogVo> getRealTimeAlarm(String companyName){
        return  alarmLogMapper.getRealTimeAlarm(companyName);
    }


}
