package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.AlarmMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class AlarmService {
    @Autowired
    private AlarmMapper alarmMapper;

    public List<ResultAlarmVo> getAll(String companyName){
        return alarmMapper.getAll(companyName);
    }

    public List<ResultAlarmVo> getAllByAlarmType(String companyName,String alarmType){
        return alarmMapper.getAllByAlarmType(companyName,alarmType);
    }

    public int addAlarm(AddAlarmVo addAlarmVo){
        return alarmMapper.addAlarm(addAlarmVo);
    }

    public int updateAlarm(UpdateAlarmVo updateAlarmVo){
        return alarmMapper.updateAlarm(updateAlarmVo);
    }

    public int delAlarm(DelAlarmVo delAlarmVo){
        return alarmMapper.delAlarm(delAlarmVo);
    }

    public ResultAlarmVo getByTypeAndScene(String alarmType,String alarmScene,String companyName){
        return alarmMapper.getByTypeAndScene(alarmType,alarmScene,companyName);
    }

    public List<AlarmTypeVo> getForWarehouse(String companyName){
        return alarmMapper.getForWarehouse(companyName);
    }

    public List<AlarmTypeVo> getForTransportation(String companyName){
        return alarmMapper.getForTransportation(companyName);
    }

}
