package com.example.tdl.util;

import com.aliyun.oss.OSSClient;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.multipart.MultipartFile;

public class PicUploadUtil {

    private static final String[] IMAGE_TYPE = new String[]{ ".bmp", ".jpg", ".jpeg", ".gif", ".png" };

    public static String  uploadImage(MultipartFile multipartFile,String number,String imageType){
        boolean isLegal = false;
        // 判断文件后缀名是否符合
        for (String type : IMAGE_TYPE) {
            if (StringUtils.endsWithIgnoreCase(multipartFile.getOriginalFilename(),type)) {
                isLegal = true;
                break;
            }
        }
        if(isLegal) {
            try {
                //初始化OSSClient
                OSSClient ossClient = AliyunOSSClientUtil.getOSSClient();
                String url = AliyunOSSClientUtil.uploadImg2Oss(ossClient, multipartFile, number,imageType);
                if (url == null) {
                    return "上传失败";
                } else {
                    if("user".equals(imageType)){
                        return "https://uploadexcelhltp.oss-cn-shanghai.aliyuncs.com/pic/userImage/" + url;
                    }else if("company".equals(imageType)){
                        return "https://uploadexcelhltp.oss-cn-shanghai.aliyuncs.com/pic/companyLog/" + url;
                    }else if("palte".equals(imageType)){
                        return "https://uploadexcelhltp.oss-cn-shanghai.aliyuncs.com/pic/palteImage/" + url;
                    }else if ("wareHouse".equals(imageType)){
                        return "https://uploadexcelhltp.oss-cn-shanghai.aliyuncs.com/pic/wareHouseImage/" + url;
                    }else if("circuit".equals(imageType)){
                        return "https://uploadexcelhltp.oss-cn-shanghai.aliyuncs.com/picture/" + url;
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
                return "上传失败";
            }
        }else{
            return "图片格式不正确";
        }
        return "上传失败";
    }
}
